Functions
FLAG_Management
Peripheral Driver » LL Driver » QSPI | Peripheral Driver » LL Driver » SPI » Functions

## Functions
__STATIC_INLINE uint32_t | ll_qspi_get_status (qspi_regs_t *QSPIx)
| Get SPI status. More...
__STATIC_INLINE uint32_t | ll_qspi_is_active_flag (qspi_regs_t *QSPIx, uint32_t flag)
| Check active flag. More...
__STATIC_INLINE uint32_t | ll_qspi_get_it_flag (qspi_regs_t *QSPIx)
| Get SPI interrupt flags. More...
__STATIC_INLINE uint32_t | ll_qspi_is_it_flag (qspi_regs_t *QSPIx, uint32_t flag)
| Check interrupt flag. More...
__STATIC_INLINE uint32_t | ll_qspi_get_raw_if_flag (qspi_regs_t *QSPIx)
| Get SPI raw interrupt flags. More...
__STATIC_INLINE void | ll_qspi_clear_flag_txo (qspi_regs_t *QSPIx)
| Clear transmit FIFO overflow error flag. More...
__STATIC_INLINE void | ll_qspi_clear_flag_rxo (qspi_regs_t *QSPIx)
| Clear receive FIFO overflow error flag. More...
__STATIC_INLINE void | ll_qspi_clear_flag_rxu (qspi_regs_t *QSPIx)
| Clear receive FIFO underflow error flag. More...
__STATIC_INLINE void | ll_qspi_clear_flag_mst (qspi_regs_t *QSPIx)
| Clear multi-master error flag. More...
__STATIC_INLINE void | ll_qspi_clear_flag_xrxo (qspi_regs_t *QSPIx)
| Clear XIP receive FIFO overflow flag. More...
__STATIC_INLINE void | ll_qspi_clear_flag_all (qspi_regs_t *QSPIx)
| Clear all error(txo,rxu,rxo,mst) flag. More...
__STATIC_INLINE uint32_t | ll_spi_get_status (spi_regs_t *SPIx)
| Get SPI status. More...
__STATIC_INLINE uint32_t | ll_spi_is_active_flag (spi_regs_t *SPIx, uint32_t flag)
| Check active flag. More...
__STATIC_INLINE uint32_t | ll_spi_get_it_flag (spi_regs_t *SPIx)
| Get SPI interrupt flags. More...
__STATIC_INLINE uint32_t | ll_spi_is_it_flag (spi_regs_t *SPIx, uint32_t flag)
| Check interrupt flag. More...
__STATIC_INLINE uint32_t | ll_spi_get_raw_if_flag (spi_regs_t *SPIx)
| Get SPI raw interrupt flags. More...
__STATIC_INLINE void | ll_spi_clear_flag_txo (spi_regs_t *SPIx)
| Clear transmit FIFO overflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_rxo (spi_regs_t *SPIx)
| Clear receive FIFO overflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_rxu (spi_regs_t *SPIx)
| Clear receive FIFO underflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_mst (spi_regs_t *SPIx)
| Clear multi-master error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_all (spi_regs_t *SPIx)
| Clear all error flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_qspi_clear_flag_all()

__STATIC_INLINE void ll_qspi_clear_flag_all | ( | qspi_regs_t * | QSPIx | ) |

Clear all error(txo,rxu,rxo,mst) flag.

Note
  Clearing this flag is done by reading INTCLR register

Register|BitsName --------|-------- INTCLR | INTCLR

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2040 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_clear_flag_mst()

__STATIC_INLINE void ll_qspi_clear_flag_mst | ( | qspi_regs_t * | QSPIx | ) |

Clear multi-master error flag.

Note
  Clearing this flag is done by reading MSTIC register

Register|BitsName --------|-------- MSTIC | MSTIC

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2004 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_clear_flag_rxo()

__STATIC_INLINE void ll_qspi_clear_flag_rxo | ( | qspi_regs_t * | QSPIx | ) |

Clear receive FIFO overflow error flag.

Note
  Clearing this flag is done by reading RXOIC register

Register|BitsName --------|-------- RXOIC | RXOIC

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 1968 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_clear_flag_rxu()

__STATIC_INLINE void ll_qspi_clear_flag_rxu | ( | qspi_regs_t * | QSPIx | ) |

Clear receive FIFO underflow error flag.

Note
  Clearing this flag is done by reading RXUIC register

Register|BitsName --------|-------- RXUIC | RXUIC

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 1986 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_clear_flag_txo()

__STATIC_INLINE void ll_qspi_clear_flag_txo | ( | qspi_regs_t * | QSPIx | ) |

Clear transmit FIFO overflow error flag.

Note
  Clearing this flag is done by reading TXOIC register

Register|BitsName --------|-------- TXOIC | TXOIC

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 1950 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_clear_flag_xrxo()

__STATIC_INLINE void ll_qspi_clear_flag_xrxo | ( | qspi_regs_t * | QSPIx | ) |

Clear XIP receive FIFO overflow flag.

Note
  Clearing this flag is done by reading XRXOIC register

Register|BitsName --------|-------- XRXOIC | XRXOIC

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2022 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_it_flag()

__STATIC_INLINE uint32_t ll_qspi_get_it_flag | ( | qspi_regs_t * | QSPIx | ) |

Get SPI interrupt flags.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one or combination of the following values: LL_QSPI_IS_SPITE LL_QSPI_IS_TXU LL_QSPI_IS_XRXO LL_QSPI_IS_MST(no effect in SPIS) LL_QSPI_IS_RXF LL_QSPI_IS_RXO LL_QSPI_IS_RXU LL_QSPI_IS_TXO LL_QSPI_IS_TXE

Definition at line 1880 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_raw_if_flag()

__STATIC_INLINE uint32_t ll_qspi_get_raw_if_flag | ( | qspi_regs_t * | QSPIx | ) |

Get SPI raw interrupt flags.

Register|BitsName --------|-------- RAW_INTSTAT | RAW_INTSTAT

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one or combination of the following values: LL_QSPI_RIS_SPITE LL_QSPI_RIS_TXU LL_QSPI_RIS_XRXO LL_QSPI_RIS_MST(no effect in SPIS) LL_QSPI_RIS_RXF LL_QSPI_RIS_RXO LL_QSPI_RIS_RXU LL_QSPI_RIS_TXO LL_QSPI_RIS_TXE

Definition at line 1934 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_status()

__STATIC_INLINE uint32_t ll_qspi_get_status | ( | qspi_regs_t * | QSPIx | ) |

Get SPI status.

Register|BitsName --------|-------- STAT | STAT

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one or combination of the following values: LL_QSPI_SR_DCOL(no effect in SPIS) LL_QSPI_SR_TXE LL_QSPI_SR_RFF LL_QSPI_SR_RFNE LL_QSPI_SR_TFE LL_QSPI_SR_TFNF LL_QSPI_SR_BUSY

Definition at line 1827 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_is_active_flag()

__STATIC_INLINE uint32_t ll_qspi_is_active_flag | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | flag
| ) |  |

Check active flag.

Register|BitsName --------|-------- STAT | DCOL STAT | TXE STAT | RFF STAT | RFNE STAT | TFE STAT | TFNF STAT | BUSY

Parameters

  QSPIx | QSPI instance
  flag | This parameter can be one of the following values: LL_QSPI_SR_DCOL(no effect in SPIS) LL_QSPI_SR_TXE LL_QSPI_SR_RFF LL_QSPI_SR_RFNE LL_QSPI_SR_TFE LL_QSPI_SR_TFNF LL_QSPI_SR_BUSY

Return values

  State | of bit (1 or 0).

Definition at line 1856 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_is_it_flag()

__STATIC_INLINE uint32_t ll_qspi_is_it_flag | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | flag
| ) |  |

Check interrupt flag.

Register|BitsName --------|-------- INTSTAT | MSTIS INTSTAT | RXFIS INTSTAT | RXOIS INTSTAT | RXUIS INTSTAT | TXOIS INTSTAT | TXEIS

Parameters

  QSPIx | QSPI instance
  flag | This parameter can be one of the following values: LL_QSPI_IS_SPITE LL_QSPI_IS_TXU LL_QSPI_IS_XRXO LL_QSPI_IS_MST(no effect in SPIS) LL_QSPI_IS_RXF LL_QSPI_IS_RXO LL_QSPI_IS_RXU LL_QSPI_IS_TXO LL_QSPI_IS_TXE

Return values

  State | of bit (1 or 0).

Definition at line 1910 of file gr55xx_ll_qspi.h.

## ◆ ll_spi_clear_flag_all()

__STATIC_INLINE void ll_spi_clear_flag_all | ( | spi_regs_t * | SPIx | ) |

Clear all error flag.

Note
  Clearing this flag is done by reading INTCLR register

Register|BitsName --------|-------- INTCLR | INTCLR

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1499 of file gr55xx_ll_spi.h.

## ◆ ll_spi_clear_flag_mst()

__STATIC_INLINE void ll_spi_clear_flag_mst | ( | spi_regs_t * | SPIx | ) |

Clear multi-master error flag.

Note
  Clearing this flag is done by reading MSTIC register

Register|BitsName --------|-------- MSTIC | MSTIC

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1481 of file gr55xx_ll_spi.h.

## ◆ ll_spi_clear_flag_rxo()

__STATIC_INLINE void ll_spi_clear_flag_rxo | ( | spi_regs_t * | SPIx | ) |

Clear receive FIFO overflow error flag.

Note
  Clearing this flag is done by reading RXOIC register

Register|BitsName --------|-------- RXOIC | RXOIC

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1445 of file gr55xx_ll_spi.h.

## ◆ ll_spi_clear_flag_rxu()

__STATIC_INLINE void ll_spi_clear_flag_rxu | ( | spi_regs_t * | SPIx | ) |

Clear receive FIFO underflow error flag.

Note
  Clearing this flag is done by reading RXUIC register

Register|BitsName --------|-------- RXUIC | RXUIC

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1463 of file gr55xx_ll_spi.h.

## ◆ ll_spi_clear_flag_txo()

__STATIC_INLINE void ll_spi_clear_flag_txo | ( | spi_regs_t * | SPIx | ) |

Clear transmit FIFO overflow error flag.

Note
  Clearing this flag is done by reading TXOIC register

Register|BitsName --------|-------- TXOIC | TXOIC

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1427 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_it_flag()

__STATIC_INLINE uint32_t ll_spi_get_it_flag | ( | spi_regs_t * | SPIx | ) |

Get SPI interrupt flags.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Definition at line 1363 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_raw_if_flag()

__STATIC_INLINE uint32_t ll_spi_get_raw_if_flag | ( | spi_regs_t * | SPIx | ) |

Get SPI raw interrupt flags.

Register|BitsName --------|-------- RAW_INTSTAT | RAW_INTSTAT

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Definition at line 1411 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_status()

__STATIC_INLINE uint32_t ll_spi_get_status | ( | spi_regs_t * | SPIx | ) |

Get SPI status.

Register|BitsName --------|-------- STAT | STAT

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SPI_SR_DCOL(no effect in SPIS) LL_SPI_SR_TXE LL_SPI_SR_RFF LL_SPI_SR_RFNE LL_SPI_SR_TFE LL_SPI_SR_TFNF LL_SPI_SR_BUSY

Definition at line 1313 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_active_flag()

__STATIC_INLINE uint32_t ll_spi_is_active_flag | ( | spi_regs_t * | SPIx,
|  | uint32_t | flag
| ) |  |

Check active flag.

Register|BitsName --------|-------- STAT | DCOL STAT | TXE STAT | RFF STAT | RFNE STAT | TFE STAT | TFNF STAT | BUSY

Parameters

  SPIx | SPI instance
  flag | This parameter can be one of the following values: LL_SPI_SR_DCOL(no effect in SPIS) LL_SPI_SR_TXE LL_SPI_SR_RFF LL_SPI_SR_RFNE LL_SPI_SR_TFE LL_SPI_SR_TFNF LL_SPI_SR_BUSY

Return values

  State | of bit (1 or 0).

Definition at line 1342 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_it_flag()

__STATIC_INLINE uint32_t ll_spi_is_it_flag | ( | spi_regs_t * | SPIx,
|  | uint32_t | flag
| ) |  |

Check interrupt flag.

Register|BitsName --------|-------- INTSTAT | MSTIS INTSTAT | RXFIS INTSTAT | RXOIS INTSTAT | RXUIS INTSTAT | TXOIS INTSTAT | TXEIS

Parameters

  SPIx | SPI instance
  flag | This parameter can be one of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Return values

  State | of bit (1 or 0).

Definition at line 1390 of file gr55xx_ll_spi.h.